{% extends "base.html" %}
{% load formatting %}

{% block page_name %}Sponsorship Request Review{%endblock %}
{% block sub_nav %}{% endblock %}

{% block content %}
{% if sponsorship.userprofile.public_image %}
<div id="headshot">
<img src="{{ MEDIA_URL }}{{ sponsorship.userprofile.public_image }}" class="thumbnail"/>
</div>
{% endif %}
<h1>{{ sponsorship.real_name }}</h1>

<p>
{{ sponsorship.userprofile.contact_email }}<br />
{{ sponsorship.user.username }}
<p>

<table style="width: 786px">
<tr><th>Summit:</th><td><span>{{ sponsorship.summit.title }}<br/>{{ sponsorship.summit.location }}</span></td></tr>
<tr><th>Location:</th><td>{{ sponsorship.userprofile.city_state }}</td></tr>
<tr><th>Country:</th><td>{{ sponsorship.userprofile.country }}</td></tr>
<tr><th>Debian role:</th><td>{{ sponsorship.userprofile.role_debian }}</td></tr>
<tr><th>DebConf role:</th><td>{{ sponsorship.userprofile.role_debconf }}</td></tr>
<tr>
  <th>What are you doing for Debian?<br/>Why do you request sponsorship?</th>
  <td>{{ sponsorship.use|escape|urlize|paras}}</td>
</tr>
<tr>
  <th>How will your attending this DebConf benefit Debian?</th>
  <td>{{ sponsorship.benefit|escape|urlize|paras}}</td>
</tr>
<tr>
  <th>Why do you request help paying for your costs?</th>
  <td>{{ sponsorship.rationale|escape|urlize|paras}}</td>
</tr>
{% if sponsorship.needs_travel %}
<tr>
  <th>Travel costs (USD)</th>
  <td>{{ sponsorship.costs}}</td>
</tr>
<tr>
  <th>Travel sponsorship needed in order for me to attend DebConf (USD)</th>
  <td>{{ sponsorship.needed}}</td>
</tr>
{% endif %}
</table>

<h3>Other</h3>
<ul>
{% if sponsorship.needs_travel %}
<li><b>Needs travel sponsorship</b></li>
{% else %}
<li>Does not need travel sponsorship</li>
{% endif %}
{% if sponsorship.needs_food %}
<li><b>Needs food sponsorship</b></li>
{% else %}
<li>Does not need food sponsorship</li>
{% endif %}
{% if sponsorship.needs_accomodation %}
<li><b>Needs accomodation sponsorship</b></li>
{% else %}
<li>Does not need accomodation sponsorship</li>
{% endif %}
{% if sponsorship.would_crew %}
<li>Would crew</li>
{% endif %}
</ul>

<table style="width: 786px">
<tr><th>Special diet/needs:</th><td>{{ sponsorship.userprofile.diet }}</tr>
</table>

<p>
{{ sponsorship.further_info|escape|urlize|paras }}
</p>

<h2>Score</h2>
{% for score in scores %}
<p style="padding-bottom: 1em; border-bottom: 1px dashed silver">
<em>{{ score.user.get_full_name }}</em>: <strong>{{ score.score|stringformat:"+d" }}</strong><br/>
{{ score.comment }}
</p>
{% endfor %}
<form method="post">
{% csrf_token %}
<table>
<tr>
  <td><select name="score">
      <option{% ifequal score None %} selected{% endifequal %}>--</option>
      <option{% ifequal score.score -3 %} selected{% endifequal %}>-3</option>
      <option{% ifequal score.score -2 %} selected{% endifequal %}>-2</option>
      <option{% ifequal score.score -1 %} selected{% endifequal %}>-1</option>
      <option{% ifequal score.score "0" %} selected{% endifequal %}>0</option>
      <option{% ifequal score.score 1 %} selected{% endifequal %}>+1</option>
      <option{% ifequal score.score 2 %} selected{% endifequal %}>+2</option>
      <option{% ifequal score.score 3 %} selected{% endifequal %}>+3</option>
  </select></td>
  <td><input type="submit" value="Update Score"></td>
</tr>
<tr>
  <td colspan="3"><em>Comment:</em><br/><textarea name="comment" rows="5" cols="50">{{ score.comment }}</textarea></td>
</tr>
</table>
</form>

{% endblock %}
